Holger's Java API

## com.antelmann.math
Interface Unit

All Superinterfaces:
  Localizable, Serializable

All Known Implementing Classes:
  AreaUnit, BaseUnit, CurrencyUnit, DefaultUnit, LengthUnit, SIBaseUnit, Temperature, TimeInterval, Weight

    public interface Unit

extends Serializable, Localizable

represents a generic unit of measurement. A unit may be derived by a combination of other units, like velocity (length divided by time, e.g. km/h, knots) or volume (the third power of a length - e.g. gallon, liter, etc.). This class is related to JSR 275.

Since:
  04.06.2009, 02:15:32
Author:
  Holger Antelmann
See Also:
  `Measurable`, `SIBaseUnitType`

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.util.Localizable
`Localizable.Adapter`

Method Summary
`String` `getUnitName()` provides the fully spelled name for this unit
`String` `getUnitSymbol()` provides a short symbolic representation of this unit

Methods inherited from interface com.antelmann.util.Localizable
`getLocale, setLocale`

Method Detail

### getUnitName

    String getUnitName()

  provides the fully spelled name for this unit

### getUnitSymbol

    String getUnitSymbol()

  provides a short symbolic representation of this unit

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads